# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /root/project/packaging/torchaudio, last modified Mon Jul 20 16:55:14 2020
# ------------------------------------------------

package:
    name: torchaudio
    version: 0.6.0
source:
    path: /root/project
build:
    string: py36
requirements:
    host:
        - sqlite 3.32.3 h62c20be_0
        - six 1.15.0 py_0
        - blas 1.0 mkl
        - mkl_random 1.1.1 py36h0573a6f_0
        - xz 5.2.5 h7b6447c_0
        - pip 20.1.1 py36_1
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - pytorch 1.6.0 py3.6_cpu_0
        - mkl 2020.1 217
        - mkl_fft 1.1.0 py36h23d657b_0
        - python 3.6.10 h7579374_2
        - tk 8.6.10 hbc83047_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - certifi 2020.6.20 py36_0
        - numpy 1.18.5 py36ha1c710e_0
        - mkl-service 2.3.0 py36he904b0f_0
        - wheel 0.34.2 py36_0
        - _libgcc_mutex 0.1 main
        - ncurses 6.2 he6710b0_1
        - numpy-base 1.18.5 py36hde5b4d6_0
        - ca-certificates 2020.6.24 0
        - libgcc-ng 9.1.0 hdf63c60_0
        - libffi 3.3 he6710b0_2
        - ninja 1.9.0 py36hfd86e86_0
        - readline 8.0 h7b6447c_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - cpuonly 1.0 0
        - libedit 3.1.20191231 h14c3975_1
        - zlib 1.2.11 h7b6447c_3
        - openssl 1.1.1g h7b6447c_0
        - intel-openmp 2020.1 217
        - setuptools 49.2.0 py36_0
    run:
        - python >=3.6,<3.7.0a0
        - pytorch==1.6.0
test:
    imports:
        - torchaudio
        - torchaudio.datasets
        - torchaudio.kaldi_io
        - torchaudio.sox_effects
        - torchaudio.transforms
    requires:
        - cpuonly
        - pytest
        - scipy
    source_files:
        - test
about:
    home: https://github.com/pytorch/audio
    license: BSD
    license_file: LICENSE
    summary: simple audio I/O for pytorch
extra:
    copy_test_source_files: true
    final: true
